Bug 480402 - RFE: yum --disablerepo='*' install '*' ... outputs all pkgs on machine
RFE: yum --disablerepo='*' install '*' ... outputs all pkgs on machine
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 482812
  Show dependency treegraph
 
Reported: 2009-01-16 15:49 EST by James Antill
Modified: 2014-01-21 18:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 482812 (view as bug list)
Environment:
Last Closed: 2009-02-02 11:35:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Antill 2009-01-16 15:49:09 EST
Description of problem:

 This is kinda weird, if you do:

 yum --disablerepo='*' install '*' 

...then it warns about every pkg that is installed already being installed. This also happens if the only enabled repos. have zero packages in them. As soon as you have a repo. enabled with at least 1 pkg in it, install '*' does the expected thing of only warning about pkgs that match.

Version-Release number of selected component (if applicable):
3.2.*

Note You need to log in before you can comment on or make changes to this bug.